#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* MISO */
#define MISO__0__MASK 0x08u
#define MISO__0__PC CYREG_PRT5_PC3
#define MISO__0__PORT 5u
#define MISO__0__SHIFT 3
#define MISO__AG CYREG_PRT5_AG
#define MISO__AMUX CYREG_PRT5_AMUX
#define MISO__BIE CYREG_PRT5_BIE
#define MISO__BIT_MASK CYREG_PRT5_BIT_MASK
#define MISO__BYP CYREG_PRT5_BYP
#define MISO__CTL CYREG_PRT5_CTL
#define MISO__DM0 CYREG_PRT5_DM0
#define MISO__DM1 CYREG_PRT5_DM1
#define MISO__DM2 CYREG_PRT5_DM2
#define MISO__DR CYREG_PRT5_DR
#define MISO__INP_DIS CYREG_PRT5_INP_DIS
#define MISO__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define MISO__LCD_EN CYREG_PRT5_LCD_EN
#define MISO__MASK 0x08u
#define MISO__PORT 5u
#define MISO__PRT CYREG_PRT5_PRT
#define MISO__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define MISO__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define MISO__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define MISO__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define MISO__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define MISO__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define MISO__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define MISO__PS CYREG_PRT5_PS
#define MISO__SHIFT 3
#define MISO__SLW CYREG_PRT5_SLW

/* MOSI */
#define MOSI__0__MASK 0x02u
#define MOSI__0__PC CYREG_PRT5_PC1
#define MOSI__0__PORT 5u
#define MOSI__0__SHIFT 1
#define MOSI__AG CYREG_PRT5_AG
#define MOSI__AMUX CYREG_PRT5_AMUX
#define MOSI__BIE CYREG_PRT5_BIE
#define MOSI__BIT_MASK CYREG_PRT5_BIT_MASK
#define MOSI__BYP CYREG_PRT5_BYP
#define MOSI__CTL CYREG_PRT5_CTL
#define MOSI__DM0 CYREG_PRT5_DM0
#define MOSI__DM1 CYREG_PRT5_DM1
#define MOSI__DM2 CYREG_PRT5_DM2
#define MOSI__DR CYREG_PRT5_DR
#define MOSI__INP_DIS CYREG_PRT5_INP_DIS
#define MOSI__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define MOSI__LCD_EN CYREG_PRT5_LCD_EN
#define MOSI__MASK 0x02u
#define MOSI__PORT 5u
#define MOSI__PRT CYREG_PRT5_PRT
#define MOSI__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define MOSI__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define MOSI__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define MOSI__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define MOSI__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define MOSI__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define MOSI__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define MOSI__PS CYREG_PRT5_PS
#define MOSI__SHIFT 1
#define MOSI__SLW CYREG_PRT5_SLW

/* SCLK */
#define SCLK__0__MASK 0x20u
#define SCLK__0__PC CYREG_PRT5_PC5
#define SCLK__0__PORT 5u
#define SCLK__0__SHIFT 5
#define SCLK__AG CYREG_PRT5_AG
#define SCLK__AMUX CYREG_PRT5_AMUX
#define SCLK__BIE CYREG_PRT5_BIE
#define SCLK__BIT_MASK CYREG_PRT5_BIT_MASK
#define SCLK__BYP CYREG_PRT5_BYP
#define SCLK__CTL CYREG_PRT5_CTL
#define SCLK__DM0 CYREG_PRT5_DM0
#define SCLK__DM1 CYREG_PRT5_DM1
#define SCLK__DM2 CYREG_PRT5_DM2
#define SCLK__DR CYREG_PRT5_DR
#define SCLK__INP_DIS CYREG_PRT5_INP_DIS
#define SCLK__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define SCLK__LCD_EN CYREG_PRT5_LCD_EN
#define SCLK__MASK 0x20u
#define SCLK__PORT 5u
#define SCLK__PRT CYREG_PRT5_PRT
#define SCLK__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define SCLK__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define SCLK__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define SCLK__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define SCLK__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define SCLK__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define SCLK__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define SCLK__PS CYREG_PRT5_PS
#define SCLK__SHIFT 5
#define SCLK__SLW CYREG_PRT5_SLW

/* SPIM_BSPIM */
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define SPIM_BSPIM_BitCounter__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB09_10_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define SPIM_BSPIM_BitCounter__16BIT_COUNT_COUNT_REG CYREG_B1_UDB09_10_CTL
#define SPIM_BSPIM_BitCounter__16BIT_MASK_MASK_REG CYREG_B1_UDB09_10_MSK
#define SPIM_BSPIM_BitCounter__16BIT_MASK_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_MASK_REG CYREG_B1_UDB09_10_MSK
#define SPIM_BSPIM_BitCounter__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define SPIM_BSPIM_BitCounter__CONTROL_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define SPIM_BSPIM_BitCounter__CONTROL_REG CYREG_B1_UDB09_CTL
#define SPIM_BSPIM_BitCounter__CONTROL_ST_REG CYREG_B1_UDB09_ST_CTL
#define SPIM_BSPIM_BitCounter__COUNT_REG CYREG_B1_UDB09_CTL
#define SPIM_BSPIM_BitCounter__COUNT_ST_REG CYREG_B1_UDB09_ST_CTL
#define SPIM_BSPIM_BitCounter__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define SPIM_BSPIM_BitCounter__PER_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define SPIM_BSPIM_BitCounter__PERIOD_REG CYREG_B1_UDB09_MSK
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define SPIM_BSPIM_BitCounter_ST__16BIT_STATUS_REG CYREG_B1_UDB09_10_ST
#define SPIM_BSPIM_BitCounter_ST__MASK_REG CYREG_B1_UDB09_MSK
#define SPIM_BSPIM_BitCounter_ST__MASK_ST_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__PER_ST_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CNT_REG CYREG_B1_UDB09_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_CONTROL_REG CYREG_B1_UDB09_ST_CTL
#define SPIM_BSPIM_BitCounter_ST__STATUS_REG CYREG_B1_UDB09_ST
#define SPIM_BSPIM_RxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_RxStsReg__4__POS 4
#define SPIM_BSPIM_RxStsReg__5__MASK 0x20u
#define SPIM_BSPIM_RxStsReg__5__POS 5
#define SPIM_BSPIM_RxStsReg__6__MASK 0x40u
#define SPIM_BSPIM_RxStsReg__6__POS 6
#define SPIM_BSPIM_RxStsReg__MASK 0x70u
#define SPIM_BSPIM_RxStsReg__MASK_REG CYREG_B1_UDB11_MSK
#define SPIM_BSPIM_RxStsReg__STATUS_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define SPIM_BSPIM_RxStsReg__STATUS_REG CYREG_B1_UDB11_ST
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A0_REG CYREG_B1_UDB09_10_A0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_A1_REG CYREG_B1_UDB09_10_A1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D0_REG CYREG_B1_UDB09_10_D0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_D1_REG CYREG_B1_UDB09_10_D1
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F0_REG CYREG_B1_UDB09_10_F0
#define SPIM_BSPIM_sR8_Dp_u0__16BIT_F1_REG CYREG_B1_UDB09_10_F1
#define SPIM_BSPIM_sR8_Dp_u0__A0_A1_REG CYREG_B1_UDB09_A0_A1
#define SPIM_BSPIM_sR8_Dp_u0__A0_REG CYREG_B1_UDB09_A0
#define SPIM_BSPIM_sR8_Dp_u0__A1_REG CYREG_B1_UDB09_A1
#define SPIM_BSPIM_sR8_Dp_u0__D0_D1_REG CYREG_B1_UDB09_D0_D1
#define SPIM_BSPIM_sR8_Dp_u0__D0_REG CYREG_B1_UDB09_D0
#define SPIM_BSPIM_sR8_Dp_u0__D1_REG CYREG_B1_UDB09_D1
#define SPIM_BSPIM_sR8_Dp_u0__DP_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__F0_F1_REG CYREG_B1_UDB09_F0_F1
#define SPIM_BSPIM_sR8_Dp_u0__F0_REG CYREG_B1_UDB09_F0
#define SPIM_BSPIM_sR8_Dp_u0__F1_REG CYREG_B1_UDB09_F1
#define SPIM_BSPIM_sR8_Dp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define SPIM_BSPIM_sR8_Dp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define SPIM_BSPIM_TxStsReg__0__MASK 0x01u
#define SPIM_BSPIM_TxStsReg__0__POS 0
#define SPIM_BSPIM_TxStsReg__1__MASK 0x02u
#define SPIM_BSPIM_TxStsReg__1__POS 1
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB10_11_ACTL
#define SPIM_BSPIM_TxStsReg__16BIT_STATUS_REG CYREG_B1_UDB10_11_ST
#define SPIM_BSPIM_TxStsReg__2__MASK 0x04u
#define SPIM_BSPIM_TxStsReg__2__POS 2
#define SPIM_BSPIM_TxStsReg__3__MASK 0x08u
#define SPIM_BSPIM_TxStsReg__3__POS 3
#define SPIM_BSPIM_TxStsReg__4__MASK 0x10u
#define SPIM_BSPIM_TxStsReg__4__POS 4
#define SPIM_BSPIM_TxStsReg__MASK 0x1Fu
#define SPIM_BSPIM_TxStsReg__MASK_REG CYREG_B1_UDB10_MSK
#define SPIM_BSPIM_TxStsReg__STATUS_AUX_CTL_REG CYREG_B1_UDB10_ACTL
#define SPIM_BSPIM_TxStsReg__STATUS_REG CYREG_B1_UDB10_ST

/* SPIM_IntClock */
#define SPIM_IntClock__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define SPIM_IntClock__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define SPIM_IntClock__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define SPIM_IntClock__CFG2_SRC_SEL_MASK 0x07u
#define SPIM_IntClock__INDEX 0x00u
#define SPIM_IntClock__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define SPIM_IntClock__PM_ACT_MSK 0x01u
#define SPIM_IntClock__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define SPIM_IntClock__PM_STBY_MSK 0x01u

/* SPIM_RxInternalInterrupt */
#define SPIM_RxInternalInterrupt__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define SPIM_RxInternalInterrupt__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define SPIM_RxInternalInterrupt__INTC_MASK 0x01u
#define SPIM_RxInternalInterrupt__INTC_NUMBER 0u
#define SPIM_RxInternalInterrupt__INTC_PRIOR_NUM 7u
#define SPIM_RxInternalInterrupt__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define SPIM_RxInternalInterrupt__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define SPIM_RxInternalInterrupt__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* SPIM_TxInternalInterrupt */
#define SPIM_TxInternalInterrupt__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define SPIM_TxInternalInterrupt__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define SPIM_TxInternalInterrupt__INTC_MASK 0x02u
#define SPIM_TxInternalInterrupt__INTC_NUMBER 1u
#define SPIM_TxInternalInterrupt__INTC_PRIOR_NUM 7u
#define SPIM_TxInternalInterrupt__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define SPIM_TxInternalInterrupt__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define SPIM_TxInternalInterrupt__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* LCD_Char_LCDPort */
#define LCD_Char_LCDPort__0__MASK 0x01u
#define LCD_Char_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_Char_LCDPort__0__PORT 2u
#define LCD_Char_LCDPort__0__SHIFT 0
#define LCD_Char_LCDPort__1__MASK 0x02u
#define LCD_Char_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_Char_LCDPort__1__PORT 2u
#define LCD_Char_LCDPort__1__SHIFT 1
#define LCD_Char_LCDPort__2__MASK 0x04u
#define LCD_Char_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_Char_LCDPort__2__PORT 2u
#define LCD_Char_LCDPort__2__SHIFT 2
#define LCD_Char_LCDPort__3__MASK 0x08u
#define LCD_Char_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_Char_LCDPort__3__PORT 2u
#define LCD_Char_LCDPort__3__SHIFT 3
#define LCD_Char_LCDPort__4__MASK 0x10u
#define LCD_Char_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_Char_LCDPort__4__PORT 2u
#define LCD_Char_LCDPort__4__SHIFT 4
#define LCD_Char_LCDPort__5__MASK 0x20u
#define LCD_Char_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_Char_LCDPort__5__PORT 2u
#define LCD_Char_LCDPort__5__SHIFT 5
#define LCD_Char_LCDPort__6__MASK 0x40u
#define LCD_Char_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_Char_LCDPort__6__PORT 2u
#define LCD_Char_LCDPort__6__SHIFT 6
#define LCD_Char_LCDPort__AG CYREG_PRT2_AG
#define LCD_Char_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_Char_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_Char_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_Char_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_Char_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_Char_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_Char_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_Char_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_Char_LCDPort__DR CYREG_PRT2_DR
#define LCD_Char_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_Char_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_Char_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_Char_LCDPort__MASK 0x7Fu
#define LCD_Char_LCDPort__PORT 2u
#define LCD_Char_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_Char_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_Char_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_Char_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_Char_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_Char_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_Char_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_Char_LCDPort__PS CYREG_PRT2_PS
#define LCD_Char_LCDPort__SHIFT 0
#define LCD_Char_LCDPort__SLW CYREG_PRT2_SLW

/* ISR_Switch */
#define ISR_Switch__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ISR_Switch__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ISR_Switch__INTC_MASK 0x400u
#define ISR_Switch__INTC_NUMBER 10u
#define ISR_Switch__INTC_PRIOR_NUM 7u
#define ISR_Switch__INTC_PRIOR_REG CYREG_NVIC_PRI_10
#define ISR_Switch__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ISR_Switch__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Pin_Switch */
#define Pin_Switch__0__MASK 0x02u
#define Pin_Switch__0__PC CYREG_PRT6_PC1
#define Pin_Switch__0__PORT 6u
#define Pin_Switch__0__SHIFT 1
#define Pin_Switch__AG CYREG_PRT6_AG
#define Pin_Switch__AMUX CYREG_PRT6_AMUX
#define Pin_Switch__BIE CYREG_PRT6_BIE
#define Pin_Switch__BIT_MASK CYREG_PRT6_BIT_MASK
#define Pin_Switch__BYP CYREG_PRT6_BYP
#define Pin_Switch__CTL CYREG_PRT6_CTL
#define Pin_Switch__DM0 CYREG_PRT6_DM0
#define Pin_Switch__DM1 CYREG_PRT6_DM1
#define Pin_Switch__DM2 CYREG_PRT6_DM2
#define Pin_Switch__DR CYREG_PRT6_DR
#define Pin_Switch__INP_DIS CYREG_PRT6_INP_DIS
#define Pin_Switch__INTSTAT CYREG_PICU6_INTSTAT
#define Pin_Switch__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define Pin_Switch__LCD_EN CYREG_PRT6_LCD_EN
#define Pin_Switch__MASK 0x02u
#define Pin_Switch__PORT 6u
#define Pin_Switch__PRT CYREG_PRT6_PRT
#define Pin_Switch__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define Pin_Switch__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define Pin_Switch__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define Pin_Switch__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define Pin_Switch__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define Pin_Switch__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define Pin_Switch__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define Pin_Switch__PS CYREG_PRT6_PS
#define Pin_Switch__SHIFT 1
#define Pin_Switch__SLW CYREG_PRT6_SLW
#define Pin_Switch__SNAP CYREG_PICU6_SNAP

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 4u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 5u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_4D 3u
#define CYDEV_CHIP_MEMBER_5A 4u
#define CYDEV_CHIP_MEMBER_5B 5u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4D_ES0 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x1000
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000003u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x4000
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
